Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletResourceBundleFactory

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletResourceBundleFactory

All Implemented Interfaces:
  ResourceBundleFactory

    public class PortletResourceBundleFactory

extends java.lang.Object
implements ResourceBundleFactory

Manage resource bundles for a portlet.

Version:
  $Revision: 6818 $
Author:
  Julien Viet, Thomas Heute

Constructor Summary
`PortletResourceBundleFactory(java.lang.ClassLoader classLoader, LanguagesMetaData metaData)`

Method Summary
`static ResourceBundleManager` | `createResourceBundleManager(java.lang.ClassLoader classLoader, LanguagesMetaData metaData)`
`java.util.ResourceBundle` | `getBundle(java.util.Locale locale)` Returns a resource bundle for the specified locale, it may be an expensive operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletResourceBundleFactory

    public PortletResourceBundleFactory(java.lang.ClassLoader classLoader,
                                        LanguagesMetaData metaData)

Method Detail

### createResourceBundleManager

    public static ResourceBundleManager createResourceBundleManager(java.lang.ClassLoader classLoader,
                                                                    LanguagesMetaData metaData)

### getBundle

    public java.util.ResourceBundle getBundle(java.util.Locale locale)

  Description copied from interface: `ResourceBundleFactory`
  Returns a resource bundle for the specified locale, it may be an expensive operation.

  Specified by:
    `getBundle` in interface `ResourceBundleFactory`
  Parameters:
    `locale` - the locale for the resource bundle
  Returns:
    a resource bundle for the locale or null if no such bundle can be obtained

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD